<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<nav id="scrollingNav" class="d-none d-xl-block navbar fixed-top navbar-light navbar-expand-md flex-column bg-white" role="navigation">
    <div class="container justify-content-end">

        <ul id="toppest-nav" class="nav justify-content-around">

            <f:if condition="{data.pid}">
                <f:then>
                        <f:for each="{mainnavigationstart}" as="top">
                                <li class="nav-item{f:if(condition: top.active, then: ' active')}">
                                    <a href="{top.link}" class="nav-link">{top.title}</a>
                                </li>
                        </f:for>
                </f:then>
                <f:else>
                        <li class="nav-item phone">
                                <a class="nav-link" href="mailto:{settings.mail}">
                                        <i class="fa fa-envelope"></i> E-Mail
                                </a>
                        </li>
                </f:else>
            </f:if>
            <li class="nav-item phone">
                <a class="nav-link" href="tel:{settings.phone.value}">
                    <i class="fa fa-phone-square"></i> {settings.phone.text}
                </a>
            </li>
        </ul>

    </div>

    <div class="container">

        <f:link.page pageUid="{settings.rootPage}" class="navbar-brand">
            <f:image src="EXT:akademie_ruhr/Resources/Public/Images/logo.svg" height="70" alt="Logo der Akademie Ruhr" />
        </f:link.page>

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainNav" aria-controls="mainNav" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="mainNav">
            <ul class="navbar-nav ml-auto mt-3">

                <f:for each="{items}" as="RootItem">

                    <li class="nav-item{f:if(condition: RootItem.active, then: ' active', else: '')}{f:if(condition: RootItem.children, then: ' dropdown', else: '')}">
                        <f:if condition="{data.pid} && {RootItem.children}">
                            <f:then>
                                <a class="nav-link dropdown-toggle" href="{RootItem.link}" id="navbarDropdownMenuLink{RootItem.data.uid}" aria-haspopup="true"
                                    aria-expanded="false">
                                    <f:format.raw>{RootItem.title}</f:format.raw>
                                </a>
                                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">

                                    <div class="container justify-content-start align-items-start">

                                        <div class="pr-4 mb-8">

                                                <h3 class="serif text-dark-gray dropdown-menu-heading">{RootItem.title}</h3>
                                                    <p class="serif dropdown-menu-text">{RootItem.data.abstract}</p>

                                                <f:if condition="{RootItem.images}">
                                                        <div class="dynamicMedia mb-4" id="dynamicMedia-{RootItem.data.uid}" style="width: 300px; height: 200px;">
                                                            <img class="img-fluid" width="300" height="200" alt="{RootItem.images.0.alternative}" title="{RootItem.images.0.title}" src="{f:uri.image(image:RootItem.images.0,cropVariant: 'default', width: 300c, height: 200c)}"
                                                                 id="dynamicMedia-item-{RootItem.data.uid}" />
                                                            <f:for each="{RootItem.children}" as="children">
                                                                <f:if condition="{children.images}">
                                                                    <img class="img-fluid d-none lazy" width="300" height="200" src="data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 11 14'%3E%3C/svg%3E" alt="{children.images.0.alternative}" title="{children.images.0.title}" data-src="{f:uri.image(image:children.images.0, cropVariant: 'default', width: 300c, height: 200c)}" id="dynamicMedia-item-{children.data.uid}" />
                                                                </f:if>
                                                            </f:for>
                                                        </div>
                                                </f:if>

                                                    <a href="{RootItem.link}" class="btn btn-dark-gray">
                                                        Zur Übersicht
                                                    </a>

                                        </div>


                                            <f:for each="{RootItem.children -> v:iterator.chunk(count: 8)}" as="col" iteration="cycle">

                                                <div class="pr-4">

                                                <f:for each="{col}" as="ChildItem">
                                                    <a class="dropdown-item dropdown-child-item{f:if(condition: ChildItem.images, then: '-has-media')}" data-show-media="{ChildItem.data.uid}"
                                                       data-media-container="{RootItem.data.uid}" href="{ChildItem.link}">
                                                        <i class="fa fa-chevron-right fa-fw"></i> {ChildItem.title}
                                                    </a>
                                                </f:for>

                                                </div>
                                            </f:for>

                                    </div>
                                </div>
                            </f:then>
                            <f:else>
                                <a class="nav-link" href="{RootItem.link}">
                                    <f:format.raw>{RootItem.title}</f:format.raw>
                                </a>
                            </f:else>
                        </f:if>
                    </li>
                </f:for>
            </ul>
        </div>
    </div>
</nav>

</html>
